Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000106Bananian Linux[All Projects] Kernelpublic2015-02-04 07:152015-08-08 15:08
Reporterlmsilva 
Assigned ToNico 
PriorityhighSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version15.01 
Target Version15.08Fixed in Version15.08 
Summary0000106: Request to patch Realtek driver for 8192cu / 8188cu devices
DescriptionI've been having some random crashes in my BPI-R1 and, after looking into it, I suspect the problem is related with the realtek drivers that ship with bananapi.

My system was stable and, after installing hostapd (as described here http://forum.lemaker.org/thread-13017-1-1-setting_up_wlan0_as_an_access_point_in_bpi_r1.html [^]), I started experiencing random crashes.

Today, as I looked deeper into it, I found these two git repos:
- this includes a patch to hostapd, so it supports the realtek wifi hardware on the BPI-R1
https://github.com/pritambaral/hostapd-rtl871xdrv [^]
- and then I found this other repo, where they have updated realtek drivers, based on some official drivers released by Realtek several years ago:
https://github.com/dz0ny/rt8192cu [^]

According to the repo's readme:
"The in-tree kernel drivers for these devices do not work so the official realtek drivers have to be used. Gladly, these were released as GPL code so we can publish them freely. Unfortunately, they have some issues with 64bit machines so this repository contains the fixes to make them work."

They do not claim official support but, knowing that the official drivers that ship with the kernel are broken, it might be a good idea to look into this.
Steps To ReproduceHard to reproduce...but...try and install hostapd on a BPI-R1 (as described here http://forum.lemaker.org/thread-13017-1-1-setting_up_wlan0_as_an_access_point_in_bpi_r1.html [^]) and use the device as an access point!
A few minutes / hours later, the system with crash with no apparent reason.
Additional InformationI'll gladly work with you guys and try out these drivers but I don't think I can do it without your help (seeing I do not have access to Bananian's linux headers).
TagsNo tags attached.
Attached Files? file icon hostapd_1.0-3+deb7u2_armhf.deb [^] (405,940 bytes) 2015-03-10 15:22
gz file icon wpa_1.0-3+deb7u2.debian.tar.gz [^] (106,405 bytes) 2015-03-10 17:00
? file icon wpa_1.0-3+deb7u2.dsc [^] (1,597 bytes) 2015-03-10 17:00
? file icon wpa_1.0-3+deb7u2_source.changes [^] (1,298 bytes) 2015-03-10 17:00
gz file icon wpa_1.0.orig.tar.gz [^] (1,973,926 bytes) 2015-03-10 17:00

- Relationships
has duplicate 0000120resolvedNico hostapd from official debian repo on BPI-R1 don't work (need rtl8188 patches) 

-  Notes
(0000177)
pludikovsky (reporter)
2015-03-10 15:23

I have made an attempt to integrate the RealTek sources for 0.8 into the 1.0 Debian package.
So far it compiles & hostapd starts, but I haven't tested it beyond that yet. The package is attached to this ticket, sources available on request.
(0000178)
Nico (manager)
2015-03-10 16:24

Thank you. Please provide sources. We won't integrate anything without complete sources.
(0000179)
pludikovsky (reporter)
2015-03-10 17:02

Attached the requested source files, which should be everything required to build the package(s).
(0000186)
jekader (reporter)
2015-03-28 17:16

I want to note that I also applied the realtek patchset against hostapd-2.4

the sources are here:
https://github.com/jekader/hostapd-rtl [^]

the Debian package is named hostapd-rtl and conflicts with "normal" hostapd to avoid confusion for users.
(0000189)
Nico (manager)
2015-04-01 19:30

great work, thank you jekader! I've just forked your repository on GitHub
(0000190)
lmsilva (reporter)
2015-04-01 19:40

You guys are awesome, thank you so much for working on this :o)
(0000264)
Nico (manager)
2015-08-08 15:08

The package will be in the Bananian 15.08 repository:
jessie|main|armhf: hostapd-rtl 2.4-4

- Issue History
Date Modified Username Field Change
2015-02-04 07:15 lmsilva New Issue
2015-02-27 10:16 Nico Assigned To => Nico
2015-02-27 10:16 Nico Status new => assigned
2015-03-10 15:22 pludikovsky File Added: hostapd_1.0-3+deb7u2_armhf.deb
2015-03-10 15:23 pludikovsky Note Added: 0000177
2015-03-10 16:24 Nico Note Added: 0000178
2015-03-10 17:00 pludikovsky File Added: wpa_1.0-3+deb7u2.debian.tar.gz
2015-03-10 17:00 pludikovsky File Added: wpa_1.0-3+deb7u2.dsc
2015-03-10 17:00 pludikovsky File Added: wpa_1.0-3+deb7u2_source.changes
2015-03-10 17:00 pludikovsky File Added: wpa_1.0.orig.tar.gz
2015-03-10 17:02 pludikovsky Note Added: 0000179
2015-03-28 17:16 jekader Note Added: 0000186
2015-04-01 19:30 Nico Note Added: 0000189
2015-04-01 19:40 lmsilva Note Added: 0000190
2015-04-04 21:35 Nico Relationship added related to 0000120
2015-04-04 21:36 Nico Target Version => 16.04
2015-08-08 13:40 Nico Relationship replaced has duplicate 0000120
2015-08-08 13:41 Nico Target Version 16.04 => 15.08
2015-08-08 15:08 Nico Note Added: 0000264
2015-08-08 15:08 Nico Status assigned => resolved
2015-08-08 15:08 Nico Fixed in Version => 15.08
2015-08-08 15:08 Nico Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker